using System;
using System.IO;
using Addison_Wesley.Codebook.Filesystem;

namespace Krátké_jméno_souboru
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Zjištění krátkého jména souboru (8.3-)";

         // Zjištění jména souboru Readme pro .NET-Framework-SDK 
         string fileName = Path.Combine(Environment.GetFolderPath(
            Environment.SpecialFolder.ProgramFiles),
            @"Microsoft Visual Studio 8\SDK\v2.0\Readme.htm");

         try
         {
            // Zjištění krátkého jména
            string shortName = FileUtil.GetShortName(fileName);

            Console.WriteLine("Krátké jméno souboru\r\n{0}\r\nje\r\n{1}", fileName, shortName);
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba při zjišťování krátkého jména: {0}",
               ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
